Subject: Re: [PATCH 06/12] BKL: Remove BKL from capifs

From: Arnd Bergmann <[email-masked]>
Date: Sat, 18 Sep 2010 09:55:09 +0200

On Saturday 18 September 2010 01:35:30 David Miller wrote:
> 
> From: Arnd Bergmann <[email-masked]>
> Date: Thu, 16 Sep 2010 19:46:19 +0200
> 
> > The BKL is only used in fill_super, which is  protected by the superblocks
> > s_umount rw_semaphore. Therefore it is safe to remove the BKL entirely.
> > 
> > Signed-off-by: Arnd Bergmann <[email-masked]>
> > Cc: [email-masked]
> 
> I've searched Linus's tree, net-2.6, and net-next-2.6 and I cannot
> find one reference to lock_kernel() in drivers/isdn/capi/capifs.c
> in any of them.
> 
> What did you write this patch against?

As I wrote in my [PATCH 0/12], it applies on top of the pushdown
of the BKL into the get_sb operation, and I intend to submit it
to Linus with the full series.

I agree that this particular patch is a bit pointless because
all it does is to undo the change from the pushdown. I guess
that at the time when the first patch was written, the BKL
was still present in other parts of capifs.

	Arnd